%define name    pipemeter
%define version 1.1.5
%define release 0%{?dist}.2sunshine

Summary:      Shows speed of data moving from input to output.
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      GPLv2
Group:        System Environment/Shells
URL:          https://launchpad.net/pipemeter
Source0:      https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:       pipemeter-1.1.3-time.patch
BuildRequires: make
BuildRequires: gcc

%description
Pipemeter shows the speed of data moving from input to output. It can be
used in a shell pipe to display speed, and to display progress if the size
of stream is available.

%prep
%setup -q
%patch -P 0 -p1 -b .time

%build
%configure
%make

%install
install -D -m 755 pipemeter "$RPM_BUILD_ROOT"%{_bindir}/pipemeter
install -D -p -m 644 pipemeter.1 "$RPM_BUILD_ROOT"/%{_mandir}/man1/pipemeter.1

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc Changelog README results.txt testscript.sh
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Nov 10 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.5-0.2sunshine
- use non-deprecated %%patch macro syntax
- use the %%license macro, and provide a fallback
- drop obsoleted macros, sections and tags

* Tue Nov 28 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.5-0.1sunshine
- update to 1.1.5
- drop the format security patch, a better fix is upstream
- remove the obsolete %%clean section
- remove the obsolete %%defattr

* Mon Nov 05 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.3-1.5sunshine
- BR gcc

* Mon Aug 11 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.3-1.4sunshine
- add patch to eliminate format security issues (errors in F21)

* Mon Aug 11 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.3-1.3sunshine
- new URL and Source location (source date is now 2010-10-07 instead of
  2007-07-20)
- modify Summary and Description

* Tue Mar 10 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.3-1.2sunshine
- add a patch for correct calculation of elapsed time (sub-second resolution)

* Tue Mar 10 2009 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1.3-1.1sunshine
- adapt from upstream SPEC file
- use %%{dist} tag
- s/Copyright/License/, and be more specific about it (GPLv2)
- get rid of %%{prefix} definition
- only one Source tag
- drop Vendor and Packager tag
- use normed BuildRoot
- preserve modification time on install
- use macros for directories
- don't own global directories
- fix %%defattr (everything was executable)
